classification
Title: Add silent mode for py_compile
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: berker.peksag Nosy List: berker.peksag, brett.cannon, nanjekyejoannah
Priority: normal Keywords: patch

Created on 2014-10-15 08:23 by berker.peksag, last changed 2019-05-28 16:29 by berker.peksag. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12976 merged nanjekyejoannah, 2019-04-26 22:11
Messages (3)
msg229409 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-10-15 08:23
This is similar to issue 21338.

It would be good to add a new option "-q" to the CLI interface and add a new parameter "quiet" to py_compile.compile() (e.g. if doraise is False and quiet is True, do not print anything).
msg341600 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2019-05-06 18:53
I don't see anything wrong with the idea.
msg343804 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2019-05-28 16:29
New changeset 2e33ecd7c9b0cac3efc6fcbdd4547fd086b4e2d1 by Berker Peksag (Joannah Nanjekye) in branch 'master':
bpo-22640: Add silent mode to py_compile.compile() (GH-12976)
https://github.com/python/cpython/commit/2e33ecd7c9b0cac3efc6fcbdd4547fd086b4e2d1
History
Date User Action Args
2019-05-28 16:29:43berker.peksagsetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.8, - Python 3.5
2019-05-28 16:29:08berker.peksagsetmessages: + msg343804
2019-05-06 18:53:36brett.cannonsetmessages: + msg341600
2019-04-27 21:39:02nanjekyejoannahsetnosy: + nanjekyejoannah
2019-04-26 23:13:25berker.peksagsetnosy: + brett.cannon
2019-04-26 22:11:43nanjekyejoannahsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request12902
2014-10-15 08:23:19berker.peksagcreate